Ask Your Question
0

is there any way of using python 3.5 in ROS kinetic

asked 2018-08-09 05:41:19 -0600

rama_bhuyan gravatar image

updated 2018-08-17 06:55:46 -0600

I have one python library which is in python3.5. but ROS works only with python 2.7.

can I get some idea , how to access that library in my ros environment?

edit retag flag offensive close merge delete

Comments

If you want to use a different Python version, you'll probably have to install ROS from sources, all the while keeping an eye on the commands to make sure you're using the correct Python interpreter binary.

There have been Q&As about this, I recommend using google (with site:answers.ros.org).

gvdhoorn gravatar imagegvdhoorn ( 2018-08-10 02:56:00 -0600 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2018-08-17 06:09:01 -0600

Ridhwanluthra gravatar image

There is a very hacky method that I have successfully used before. This may not work in many cases. So, You source a terminal with ROS environment variables and run roscore. In another terminal first source ros and then python3 environment variables. now run your python3 node here. This is possible coz of the amazing backporting capabilities of python. Again this may not work in every case. So its your luck

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-08-09 05:41:19 -0600

Seen: 254 times

Last updated: Aug 17 '18